Replace Evaluation Chart
curl --request PUT \
--url https://api.egp.scale.com/v5/evaluation-charts/{chart_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"title": "<string>",
"columns": [
{
"column_name": "<string>",
"evaluation_id": "<string>"
}
]
}
'import requests
url = "https://api.egp.scale.com/v5/evaluation-charts/{chart_id}"
payload = {
"title": "<string>",
"columns": [
{
"column_name": "<string>",
"evaluation_id": "<string>"
}
]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
columns: [{column_name: '<string>', evaluation_id: '<string>'}]
})
};
fetch('https://api.egp.scale.com/v5/evaluation-charts/{chart_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"account_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "evaluation_chart",
"evaluation_id": "<string>",
"evaluation_group_id": "<string>",
"deleted_at": "2023-11-07T05:31:56Z",
"columns": [
{
"id": "<string>",
"column_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"object": "evaluation_chart.column",
"evaluation_id": "<string>",
"deleted_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Evaluation Charts
Replace Evaluation Chart
Replace chart metadata and/or columns. Columns are replaced if provided.
PUT
/
v5
/
evaluation-charts
/
{chart_id}
Replace Evaluation Chart
Authorizations
Headers
Path Parameters
Body
application/json
Request model for updating evaluation chart
Response
Successful Response
Response model for evaluation chart
Unique identifier of the evaluation chart
Chart title
Chart type
Available options:
bar, histogram Account that owns this chart
When the chart was created
Allowed value:
"evaluation_chart"Evaluation ID
Evaluation group ID
When the chart was soft-deleted
Column mappings. Populated with 'columns' view.
Show child attributes
Show child attributes
⌘I

